Skip to main content
GET
/
v1
/
storage
/
{graph_id}
/
cURL
curl --request GET \
  --url https://api.unize.org/v1/storage/{graph_id}/ \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.unize.org/v1/storage/{graph_id}/"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.unize.org/v1/storage/{graph_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "graph": {
    "nodes": [
      {
        "node_label": "<string>",
        "node_name": "<string>",
        "node_var": "<string>",
        "node_properties": "<unknown>",
        "snippet": "<string>"
      }
    ],
    "relationships": [
      {
        "rel_type": "<string>",
        "start_node": "<string>",
        "end_node": "<string>",
        "rel_properties": "<unknown>"
      }
    ],
    "cypher": "<string>"
  },
  "last_graph_merge": {
    "timestamp": "2023-11-07T05:31:56Z",
    "extraction_criteria_truncated": "<string>",
    "client_display_error": "<string>",
    "completed_at": "2023-11-07T05:31:56Z"
  },
  "total_documents": 123,
  "graph_name": "<string>"
}

Authorizations

Authorization
string
header
required

Send the API generated from the Playground:

  • Authorization: <api_key>

Path Parameters

graph_id
string
required

The graph_id of the knowledge graph to be exported. A graph_id is an alphanumeric string that uniquely identifies a knowledge graph.

Query Parameters

cypher_query
boolean
default:false

Determines the structure of the graph object in the response. When false, the API returns a JSON object with graph.nodes and graph.relationships. When set to true, the response includes only the graph.cypher property, which contains the full graph in Cypher Query format.

Response

200 - application/json
graph
object
required

The exported graph data containing either graph.nodes and graph.relationships or graph.cypher.

last_graph_merge
object
required

Details about the most recent graph merge operation executed on this knowledge graph.

total_documents
integer
required
read-only

The total number of documents that have been processed to create or update the knowledge graph.

graph_name
string | null

The name of the knowledge graph being exported.